Overview
Theclient.TeamMembers client provides access to team member management operations:
Methods
Create
Creates a singleTeamMember object. The created TeamMember object is returned on successful creates.
A unique string that identifies this
CreateTeamMember request. Keys can be any valid string, but must be unique for every request. The minimum length is 1 and the maximum length is 45.The data used to create the
TeamMember object. If you include wage_setting, you must provide job_id for each job assignment. To get job IDs, use the Team API.BatchCreate
Creates multipleTeamMember objects. The created TeamMember objects are returned on successful creates. This process is non-transactional and processes as much of the request as possible.
The data used to create the
TeamMember objects. Each key is the idempotency_key that maps to the CreateTeamMemberRequest. The maximum number of create objects is 25.BatchUpdate
Updates multipleTeamMember objects. The updated TeamMember objects are returned on successful updates.
The data used to update the
TeamMember objects. Each key is the team_member_id that maps to the UpdateTeamMemberRequest. The maximum number of update objects is 25.Search
Returns a paginated list ofTeamMember objects for a business. The list can be filtered by location IDs, ACTIVE or INACTIVE status, or whether the team member is the Square account owner.
The query parameters.
The maximum number of
TeamMember objects in a page (100 by default).The opaque cursor for fetching the next page. For more information, see pagination.
Get
Retrieves aTeamMember object for the given TeamMember.id.
The ID of the team member to retrieve.
Update
Updates a singleTeamMember object. The TeamMember object is returned on successful updates.
The ID of the team member to update.
The team member fields to add, change, or clear. Fields can be cleared using a null value. To update
wage_setting.job_assignments, you must provide the complete list of job assignments.TeamMember Object
The unique ID for the team member.
A second ID used to associate the team member with an entity in another system.
Whether the team member is the owner of the Square account.
Describes the status of the team member. Possible values:
ACTIVE, INACTIVE.The given name (first name) associated with the team member.
The family name (last name) associated with the team member.
The email address associated with the team member.
The team member’s phone number, in E.164 format (e.g., +14155552671).
The timestamp when the team member was created, in RFC 3339 format.
The timestamp when the team member was last updated, in RFC 3339 format.
Describes the team member’s assigned locations.
Information about the team member’s overtime exemption status, job assignments, and compensation.
